CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TestRunner::WrappingSuite Class Reference

(INTERNAL) Mutating test suite. More...

`#include <TestRunner.h>`

Inheritance diagram for TestRunner::WrappingSuite:

[legend]
Collaboration diagram for TestRunner::WrappingSuite:

[legend]
List of all members.

## Public Member Functions
| WrappingSuite (const std::string &name="All Tests")
int | getChildTestCount () const
| Returns the number of direct child of the test.
std::string | getName () const
| Returns the test name.
void | run (TestResult *result)
| Run the test, collecting results.
## Protected Member Functions
Test * | doGetChildTestAt (int index) const
| Returns the child test of the specified valid index.
bool | hasOnlyOneTest () const
Test * | getUniqueChildTest () const

## Detailed Description

(INTERNAL) Mutating test suite.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestRunner::WrappingSuite::WrappingSuite | ( | const std::string & | name = `"All Tests"` | ) |

## Member Function Documentation

int TestRunner::WrappingSuite::getChildTestCount | ( |  | ) | const`[virtual]`

Returns the number of direct child of the test.

Reimplemented from TestSuite.

std::string TestRunner::WrappingSuite::getName | ( |  | ) | const`[virtual]`

Returns the test name.

Each test has a name. This name may be used to find the test in a suite or registry of tests.

Reimplemented from TestComposite.

void TestRunner::WrappingSuite::run | ( | TestResult * | result | ) | `[virtual]`

Run the test, collecting results.

Reimplemented from TestComposite.

Test * TestRunner::WrappingSuite::doGetChildTestAt | ( | int | index | ) | const`[protected, virtual]`

Returns the child test of the specified valid index.

Parameters:

  | index | Zero based valid index of the child test to return.

Returns:
  Pointer on the test. Never `NULL`.

Reimplemented from TestSuite.

bool TestRunner::WrappingSuite::hasOnlyOneTest | ( |  | ) | const`[protected]`

Test * TestRunner::WrappingSuite::getUniqueChildTest | ( |  | ) | const`[protected]`

The documentation for this class was generated from the following files:

- cppunit/TestRunner.h
- TestRunner.cpp

| hosts this site. |  | Send comments to: CppUnit Developers